Ein neues Thema erstellen  Auf das Thema antworten  [ 7 Beiträge ] 
Autor Nachricht
BeitragVerfasst: 16.02.2013, 01:58 

Registriert: 20.06.2010, 01:28
Beiträge: 29
Wohnort: Scotland
Zitat:
The February 2013 update to Counter-Strike 1.6 is part of a large transition of HLDS games to SteamCMD. Because this transition is not yet complete, AMX Mod X may not yet work on specific games. Those games are listed below.

In addition, a Metamod update is required for all new servers. We are providing our own Metamod builds (branded as Metamod 1.20-am) until the official Metamod site can be updated. Note that on Linux, the Metamod DLL had to be renamed, which means you will have to edit liblist.gam. This is true even if you choose to use Metamod-P.
http://forums.alliedmods.net/showthread.php?t=208522

_________________
[APG] Clan Leader


Nach oben
   
BeitragVerfasst: 23.02.2013, 21:51 
AM.de Team
Benutzeravatar

Registriert: 23.11.2001, 00:00
Beiträge: 3841
Wohnort: Vor König Arthus
Hi RoboCop,

this is new to me. But at the moment nobody is working on adminmod anymore. So, I cannot promise that the update is supported. On the other hand, adminmod is not so deeply integrated in hlds as amxmod is. So, it might still work. Do you know, when the update is planned?

_________________
Der schwarze Ritter triumphiert immer...
WING-Clan


Nach oben
   
BeitragVerfasst: 24.02.2013, 01:16 
AM.de Team
Benutzeravatar

Registriert: 22.10.2001, 01:00
Beiträge: 838
First off: Admin Mod should still work fine.
To be honest, I haven't tried it yet. AMX Mod X was in trouble since they have binary dependencies on HLDS which Admin Mod doesn't.

Metamod is still compatible with the Feb 2013 update of HLDS1. There were some troubles with getting loaded and loading the game DLL since the names changed. They have been resolved in Metamod 1.20 which was release recently. Just update to the new Metamod 1.20 and Admin Mod should still work as before. If not, let us know.

_________________
There are no stupid questions, only stupid people.


Nach oben
   
BeitragVerfasst: 09.03.2013, 00:41 

Registriert: 20.06.2010, 01:28
Beiträge: 29
Wohnort: Scotland
Well it seems to be working ok it just VALVe may of created some HLDS 2013 network side effects at first last month but managed to resolve it.

I got AdminMod generally running on my CS 1.6 private Match server as we don't use high trafficking addons. I've managed to contact Jussi from MetaMod-P and helped him fixed the gunfire bug for Metamod-P35.

My Hex Core i7 server should be working fine on HLDS mods as I got nearly 8 various HL1 mods running, including Ricochet, CZ, TFC and so on. The fact is we don't use AMXX on FA 3.0, HLDM and Ricochet as the AMXX GUI menu fails and dont use it.

I'm also beta testing on HLDM linux via SteamCMD and CS 1.6 as well. I would be happy to help you if you need some assistance.

The only issue I have with AdminMod is the badname map that I use for admin_map that come up on uncommon occasions in HLDM beta, and the old 5:10 metamod interface which isn't a high priority atm. Plus the complie_all app would need support for x86_64 as I had to type "linux32" or "-32" in terminal shell for compling plugins when it complied for .amx64 for AMD64 but my Server is running on Intel 64-bit because of the 4GB limit in 32-bit server as my RAM contains 24GB and will only work in 64-bit.

_________________
[APG] Clan Leader


Nach oben
   
BeitragVerfasst: 19.06.2013, 09:50 

Registriert: 17.12.2001, 01:00
Beiträge: 697
Adminmod is referencing to cs_i386.so, the extended CS functionality cannot be loaded without symlinking to the new cs.so. However, the cs.so has been changed, some functions are not available anymore.

I can see some crashes in plugins:

NUM_FOR_EDICT: bad pointer

I need to investigate it further. Anyway, the update does not run smooth with Adminmod :-(

_________________
Badewasser zu kalt? Hier, nimm den Fön, kommt warme Luft raus!


Nach oben
   
BeitragVerfasst: 23.06.2013, 10:33 

Registriert: 17.12.2001, 01:00
Beiträge: 697
Adminmod and LogD needs to be recompiled with the latest gcc in Linux environment. The slay command does not work anymore, because the kill command is blocked right now. To get this working again, uncomment util_kill_player and recompile.

_________________
Badewasser zu kalt? Hier, nimm den Fön, kommt warme Luft raus!


Nach oben
   
BeitragVerfasst: 28.07.2013, 11:49 

Registriert: 20.06.2010, 01:28
Beiträge: 29
Wohnort: Scotland
Well we still use AdminMod as a low-trafficking addon to control and regulate our private match servers as we deny using high-trafficking addons that may lag our match servers.

I like to help out. Also I just upgraded my Linux server with a SSD drive and 32GB RAM and had to transfer and backup the old HLDS files into there.

So if you have any problems or need to test AdminMod on a powerful Linux server like mine I'm sure I could help out...

Also if AdminMod will be released with the latest update for SteamPipe I think it should have more colour palates for admin_glow, csay and tsay etc.

I've made a fixed Win32 version with some minor simple fixes to the csay and removed the MM 1.17.2 below in my 12 year old site here. But I've not fixed the complie.bat or made a Linux fixed version for the x86_64 architecture as I had to use "-32" in the CMD terminal shell for using complie_all.sh

http://apg-clan.org/downloads.php?do=file&id=84

_________________
[APG] Clan Leader


Nach oben
   
Beiträge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen  Auf das Thema antworten  [ 7 Beiträge ] 


Du darfst keine neuen Themen in diesem Forum erstellen.
Du darfst keine Antworten zu Themen in diesem Forum erstellen.
Du darfst deine Beiträge in diesem Forum nicht ändern.
Du darfst deine Beiträge in diesem Forum nicht löschen.
Du darfst keine Dateianhänge in diesem Forum erstellen.

Suche nach:
cron
Powered by phpBB® Forum Software © phpBB Limited
Deutsche Übersetzung durch phpBB.de
Original Design von "[ Half-Life Admin Mod © Alfred Reynolds 2000-2003 ] - [ site design by Jägermeister ]"